package com.nuliji.tools.exception;

/**
 * Created by gaojie on 2017/5/11.
 * 系统服务内部错误
 */
public class SystemException extends InsideException {
    public SystemException(int code, String message){
        super(code, message);
    }
    public SystemException(String message) {
        super(message);
    }

    public SystemException(String message, Throwable cause) {
        super(message, cause);
    }

    public SystemException(Throwable cause) {
        super(cause);
    }

    public SystemException(String message, Throwable cause, boolean enableSuppression, boolean writableStackTrace) {
        super(message, cause, enableSuppression, writableStackTrace);
    }
}
